### File

`projects/app-base-library/src/lib/angular/components/base-app.component.ts`

### Extends

`Base`

### Implements

`OnInit`

### Metadata

### Index

###### Properties

- Public baseService
- Public config
- Public el
- Public elementRef
- Public routes
- Public settings
- Public translateService
- Private _environment
- Private _settings
- Public settings

###### Methods

- Public init
- Public initRouter
- ngOnInit
- Protected init

### Constructor

`constructor(config: ConfigService, baseService: BaseService, elementRef: ElementRef)`
Defined in projects/app-base-library/src/lib/angular/components/base-app.component.ts:16

Parameters :

Name | Type | Optional
config | `ConfigService` | no
baseService | `BaseService` | no
elementRef | `ElementRef` | no

### Methods

Public init
`init(options: any)`
Defined in projects/app-base-library/src/lib/angular/components/base-app.component.ts:27

Parameters :

Name | Type | Optional
options | `any` | no

Returns : `any`

Public initRouter
`initRouter(router: )`
Defined in projects/app-base-library/src/lib/angular/components/base-app.component.ts:33

Parameters :

Name | Optional
router | no

Returns : `void`

ngOnInit
`ngOnInit()`
Defined in projects/app-base-library/src/lib/angular/components/base-app.component.ts:22
Returns : `void`

Protected init
`init(settings: any)`
Inherited from `Base`
Defined in Base:35

Parameters :

Name | Type | Optional
settings | `any` | no

Returns : `any`

### Properties

Public baseService
`baseService: `BaseService``
Type : `BaseService`
Defined in projects/app-base-library/src/lib/angular/components/base-app.component.ts:18

Public config
`config: `ConfigService``
Type : `ConfigService`
Defined in projects/app-base-library/src/lib/angular/components/base-app.component.ts:18

Public el
`el: `any``
Type : `any`
Defined in projects/app-base-library/src/lib/angular/components/base-app.component.ts:12

Public elementRef
`elementRef: `ElementRef``
Type : `ElementRef`
Defined in projects/app-base-library/src/lib/angular/components/base-app.component.ts:18

Public routes
`routes: `any``
Type : `any`
Default value : `[]`
Defined in projects/app-base-library/src/lib/angular/components/base-app.component.ts:14

Public settings
`settings: `any``
Type : `any`
Defined in projects/app-base-library/src/lib/angular/components/base-app.component.ts:16

Public translateService
`translateService: `any``
Type : `any`
Defined in projects/app-base-library/src/lib/angular/components/base-app.component.ts:15

Private _environment
`_environment: `any``
Type : `any`
Default value : `{ type: 'js', namespace: '_abl'}`
Inherited from `Base`
Defined in Base:8

Private _settings
`_settings: `any``
Type : `any`
Default value : `{}`
Inherited from `Base`
Defined in Base:9

Public settings
`settings: `any``
Type : `any`
Default value : `{}`
Inherited from `Base`
Defined in Base:10

    import { Component, OnInit, ElementRef } from '@angular/core';
    import { Base } from '../../shared/index';
    import { BaseService, ConfigService } from '../services/index';

    // todo: deprecated

    @Component({
        template: ''
    })
    export class BaseAppComponent extends Base implements OnInit {

        public el: any;
        // public config: any;
        public routes: any = [];
        public translateService: any;
        public settings: any; // todo: deprecate

        constructor(public config:ConfigService, public baseService: BaseService, public elementRef: ElementRef) {
            super();
        }

        ngOnInit() {
            this.el = this.elementRef.nativeElement;
            this.settings = this.baseService.settings;
        }

        public init(options: any) {
            return new Promise(function(resolve) {
                this.baseService.initialize(options).then(resolve);
            });
        }

        public initRouter(router) {
            this.config.initRouter(router, this);
        }

    }

Legend
Html element
Component
Html element with directive

# results matching ""

# No results matching ""